<p>
  Die
  <b>
    konzeptionelle Modellierung
  </b>
  beschreibt eine Datenbank unabhängig von der konkreten
                    Implementierung und unabhängig von dem System, auf dem sie einmal bereitgestellt wird.

                    Das
  <b>
    Entity-Relationship-Modell
  </b>
  bietet hierfür die Elemente, um Objekte der realen Welt zu
                    modellieren und miteinander in Beziehung zu setzen.
  <br />
  Im Ergebnis hast du deine zukünftige Datenbank in einem Diagramm visualisiert und kannst dich mit
                    anderen über den Datenbankentwurf austauschen.
</p>
<h2>
  Elemente des ER-Modells
</h2>
<p>
  Entitätstypen, Beziehungen und Attribute bilden die Grundelemente eines jeden
                    Entity-Relationship-Modells. Mithilfe der
  <a href="https://de.wikipedia.org/wiki/Chen-Notation">
    Chen-Notation
  </a>
  werden sie folgendermaßen dargestellt:
</p>

<div class="card">
  <div class="card-header">
    <button
      class="btn ovk-expand"
      data-bs-toggle="collapse"
      data-bs-target="#collapseOne"
      aria-expanded="true"
      aria-controls="collapseOne"
    >
      Entitätstyp
    </button>
  </div>
  <div id="collapseOne" class="card-body collapse show">
    <p>
      <svg
        style="max-width: none;"
        class="ovk-float-right"
        width="4cm"
        viewBox="0 0 130 50"
        xmlns="http://www.w3.org/2000/svg"
        xmlns:xlink="http://www.w3.org/1999/xlink"
      >
        <rect
          class="ovk-svg-graphics entity"
          x="5"
          y="5"
          width="112.7"
          height="36"
        >
        </rect>
        <text
          font-size="12.8"
          style="fill: #000000;text-anchor:middle;font-family:monospace;font-style:normal;font-weight:normal"
          x="61.35"
          y="26.20"
        >
          Entitätstyp
        </text>
      </svg>
      Eine
      <span class="bold">
        Entität
      </span>
      ist ein individuell identifizierbares Objekt bzw. ein
                            konkreter Sachverhalt der Wirklichkeit, der sich eindeutig von anderen Objekten
                            unterscheidet. Das können Objekte der Realität (Menschen, Autos, Produkte,...) oder
                            erdachte Dinge sein (Rechnungen, Ausleihvorgänge, ...) sein. Gleichartige Entitäten lassen
                            sich zu einem
      <span class="bold">
        Entitätstypen
      </span>
      zusammenfassen. Die Rechnung mit der
                            RechnungsNr. 12345 stellt also eine Entität dar, der zugehörige Entitätstyp lautet Rechnung.
    </p>
  </div>
</div>
<div class="card">
  <div class="card-header">
    <button
      class="btn ovk-expand"
      data-bs-toggle="collapse"
      data-bs-target="#collapseTwo"
      aria-expanded="true"
      aria-controls="collapseTwo"
    >
      Beziehungstyp
    </button>
  </div>
  <div class="card-body collapse" id="collapseTwo">
    <p>
      <img
        style="max-width: none;"
        class="ovk-float-right"
        src="{{
          data "domain_root"
        }}/static/Informatik/Datenbanken/Beziehungstyp.svg"
        alt="Beziehungstypen werden mit einer Raute dargestellt."
        id="er-diagramm"
      />
      Eine
      <span class="bold">
        Beziehung
      </span>
      (Relationship) ist eine Verknüpfung bzw. ein
                            Zusammenhang zwischen zwei oder mehreren Entitäten oder einer Entität zu sich selbst.
                            Gleichartige Beziehungen werden zu einem
      <span>
        Beziehungstyp
      </span>
      zusammengefasst.
    </p>
    <p>
      Beispiele für Beziehungstypen sind: Personen wohnen in Orten, Personen nehmen an
                            Veranstaltungen teil, Produkte werden in einer Bestellung bestellt,
                            Musiktitel erhalten eine Bewertung.
    </p>
  </div>
</div>
<div class="card">
  <div class="card-header">
    <button
      class="btn ovk-expand"
      data-bs-toggle="collapse"
      data-bs-target="#collapseThree"
      aria-expanded="true"
      aria-controls="collapseThree"
    >
      Attribut
    </button>
  </div>
  <div class="card-body collapse" id="collapseThree">
    <p>
      <svg
        style="float: right;"
        width="5cm"
        viewBox="0 0 130 50"
        xmlns="http://www.w3.org/2000/svg"
        xmlns:xlink="http://www.w3.org/1999/xlink"
      >
        <ellipse
          class="ovk-svg-graphics attribut"
          cx="60"
          cy="24"
          rx="45"
          ry="18"
        >
        </ellipse>
        <text
          font-size="12.7998"
          style="fill: #000000;text-anchor:middle;font-family:monospace;font-style:normal;font-weight:normal"
          x="60"
          y="26"
        >
          Attribut
        </text>
      </svg>
      Ein
      <b>
        Attribut
      </b>
      ist eine
      <b>
        Eigenschaft
      </b>
      , die eine Entität näher beschreibt.
    </p>
    <p>
      Zum Beispiel haben Menschen Vornamen, Produkte einen Preis, Veranstaltungen ein eine Startzeit, Behandlungen bei einem Arzt ein Datum etc.
    </p>
  </div>
</div>
<h2>
  Ein fertiges Diagramm
</h2>
<p>
  Und so sieht ein beispielhaftes ER-Diagramm aus. Es modelliert eine Datenbank, in der Daten von
                    Personen, Veranstaltungen und Veranstaltungsorten gespeichert werden können, sowie
                    wer an welcher Veranstaltung teilnimmt.
  <div class="ovk-diagramm">
    <img
      src="{{data "domain_root"}}/static/Informatik/Datenbanken/ER-Diagramm.svg"
      alt='Das ER-Diagramm zeigt die Entitäten Person, Ort und Veranstaltung und deren Attribute.
                                Die Attribute der Entität Person sind Vorname, Nachname und Emailadresse. Die Entität Ort hat das Attribut Name und die Entität
                                Veranstaltung die Attribute Name, Start und Ende. Es werden auch N:M-Beziehung "nimmt teil", die Person und Veranstaltung miteinander verknüpft, sowie
                                die 1:M-Beziehung "findet statt", die  Orte und Veranstaltungen miteinander verbindet, dargestellt.'
      id="er-diagramm"
    />
  </div>
</p>
<h2>
  Übung
</h2>
<iframe
  src="https://ddivideo.inf.tu-dresden.de/wp-admin/admin-ajax.php?action=h5p_embed&id=15"
  width="700"
  height="400"
  frameborder="0"
  allowfullscreen="allowfullscreen"
></iframe>
<script
  src="https://ddivideo.inf.tu-dresden.de/wp-content/plugins/h5p/h5p-php-library/js/h5p-resizer.js"
  charset="UTF-8"
></script>